"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._scoped = void 0;
let count = 1;
const rnd = () => Math.floor(100000000000 * Math.random()).toString(36) + count++;
/*#__NO_SIDE_EFFECTS__*/
const _scoped = (prefix, logWarnings) => {
    const safePrefix = prefix && prefix.trim().replace(/[\s/\\#{}@():;]/g, '_');
    if (prefix !== safePrefix && logWarnings) {
        console.warn('Unsafe prefix passed to es-in-css `scoped` helper', {
            prefix,
            safe_version: safePrefix,
        });
    }
    return (safePrefix ? `${safePrefix}_` : '') + rnd();
};
exports._scoped = _scoped;
