import { CompilerOptions } from '../compiler.js';
export type InOutMap = {
    inFile: string;
    outFile: string;
};
export declare const getCommonPath: (fileNames: Array<string>) => string;
export type DestinationOpts = Pick<CompilerOptions, 'outdir' | 'outbase' | 'ext' | 'redirect'>;
export declare const resolveOutputFiles: (inputFiles: Array<string>, options: DestinationOpts, silent?: boolean) => InOutMap[];
