/**
 * Returns a randomized/unique string token, with an optional `prefix`. These
 * tokens can be using for naming `@keyframes` or for mangled class-names, if
 * that's what you need:
 *
 * @see https://github.com/maranomynet/es-in-css/tree/v0.7#scoped-name-generator
 */
export declare const scoped: (prefix?: string) => string;
